package com.ruoyi.common.core.enums;

import com.ruoyi.common.core.constant.Constants;
import com.ruoyi.common.core.constant.Constants;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @Description: 项目文件枚举类，指定文件所在路径和文件名称
 * @Author: wenhao
 * @Create: 2025/03/01 8:25
 * @Version: 1.0
 */
@Getter
@AllArgsConstructor
public enum ProjectFileEnum {

    /**
     * 文件下载客户端
     */
    DOWNLOAD_CLIENT_EXE("sys/", "文件下载客户端.exe"),
    /**
     * 评标专家信息
     */
    EXPERT_INFO_TEMPLATE(Constants.PROJECT_FILE_PATH_TEMPLATE, "评标专家信息.xlsx"),
    /**
     * 评标专家信息导出模板
     */
    EXPERT_INFO_EXPORT_TEMPLATE(Constants.PROJECT_FILE_PATH_TEMPLATE, "评标专家信息导出模板.xlsx"),
    /**
     * 专家抽取方案
     */
    EXTRACT_SCHEMA_TEMPLATE(Constants.PROJECT_FILE_PATH_TEMPLATE, "专家抽取方案.xlsx"),
    /**
     * 阅标记录-商务组
     */
    BUSINESS_BID_READING_TEMPLATE(Constants.PROJECT_FILE_PATH_TEMPLATE, "阅标记录-商务组.xlsx"),
    /**
     * 阅标记录-技术组
     */
    TECH_BID_READING_TEMPLATE(Constants.PROJECT_FILE_PATH_TEMPLATE, "阅标记录-技术组.xlsx"),
    /**
     * 专家分组信息
     */
    EXPERT_GROUP_TEMPLATE(Constants.PROJECT_FILE_PATH_TEMPLATE, "专家分组信息.xls"),
    /**
     * 评标委员会导入
     */
    COMMITTEE_TEMPLATE(Constants.PROJECT_FILE_PATH_TEMPLATE, "评标委员会导入.xlsx"),
    /**
     * 法律监察人员导入
     */
    LEGAL_SUPERVISE_TEMPLATE(Constants.PROJECT_FILE_PATH_TEMPLATE, "法律监察人员导入.xlsx"),
    /**
     * 阅标记录导入模板
     */
    BID_READ_RECORD_TEMPLATE(Constants.PROJECT_FILE_PATH_TEMPLATE, "阅标记录导入模板.zip"),
    /**
     * 不良行为导入模板
     */
    BAD_BEHAVIOR_TEMPLATE(Constants.PROJECT_FILE_PATH_TEMPLATE, "不良行为导入模板.xls"),
    /**
     * 供应商绩效评价导入模版
     */
    SUPPLIER_PERFORMANCE_TEMPLATE("download/", "供应商绩效评价导入模版.xlsx");

    private final String path; //文件位于classpath下的路径

    private final String fileName; //文件名称

}
